commit: b6242bb737ea16d6e57ca68d732371854abc5f54
Author: Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
AuthorDate: Thu Mar 23 23:22:34 2023 +0000
Commit: Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
CommitDate: Thu Mar 23 23:24:18 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b6242bb7
virtual/rust: add 1.68.1
Signed-off-by: Georgy Yakovlev <gyakovlev <AT> gentoo.org>
virtual/rust/rust-1.68.1.ebuild | 23 +++++++++++++++++++++++
1 file changed, 23 insertions(+)
diff --git a/virtual/rust/rust-1.68.1.ebuild b/virtual/rust/rust-1.68.1.ebuild
new file mode 100644
index 000000000000..ae12ed9a2d0f
--- /dev/null
+++ b/virtual/rust/rust-1.68.1.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit multilib-build
+
+DESCRIPTION="Virtual for Rust language compiler"
+
+LICENSE=""
+
+# adjust when rust upstream bumps internal llvm
+# we do not allow multiple llvm versions in dev-lang/rust for
+# neither system nor bundled, so we just hardcode it here.
+SLOT="0/llvm-15"
+KEYWORDS="~amd64 ~arm ~arm64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="rustfmt"
+
+BDEPEND=""
+RDEPEND="|| (
+ ~dev-lang/rust-${PV}[rustfmt?,${MULTILIB_USEDEP}]
+ ~dev-lang/rust-bin-${PV}[rustfmt?,${MULTILIB_USEDEP}]
+)"